MKNUMERIC(1)

NAME
mknumeric - create numeric information file

SYNOPSIS
mknumeric [ -o output_file_name ] [ filename ]

DESCRIPTION
mknumeric is used to create binary file, describing numeric information for setlocale(3). filename is the name of input file. If none given, stdin used.

OPTIONS

-o output_file_name
    Write the output on output_file_name; otherwise, write the output on a file named LC_NUMERIC.

INPUT FILE FORMAT
Empty lines and lines beginning with # are ignored. The backslash character, \, is used for continuation. No characters are permitted after it. The following statements are recognized:

codeset codename

    Codename is the name of codeset. This statement is required.

The rest of statements is just the field names of structure numeric_info.

EXAMPLE
codeset dummy
decimal_point		"."
thousands_sep		""
grouping		""

BUGS
None are know at the moment. If you find any, feel free to fix.

AUTHOR
Nickolay Saukh - <nms@ussr.EU.net>

ACKNOWLEDGEMENTS
Input language of mknumeric is based on manual pages of SVR4.0.

FILES
/usr/lib/locale/locale/LC_NUMERIC - LC_NUMERIC database for
/usr/include/localeinfo.h locale

SEE ALSO
setlocale(3), localeconv(3), mkcollate(1), mkctype(1), mkmonetary(1), mkresponse(1), mktime(1)